package dataclases.api.tmb.transit

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class Properties (
    @SerialName("ID_LINIA") var IDLINIA: Int? = null,
    @SerialName("CODI_LINIA") var CODILINIA: Int? = null,
    @SerialName("NOM_LINIA") var NOMLINIA: String? = null,
    @SerialName("DESC_LINIA") var DESCLINIA: String? = null,
    @SerialName("ORIGEN_LINIA") var ORIGENLINIA: String? = null,
    @SerialName("DESTI_LINIA") var DESTILINIA: String? = null,
    @SerialName("NUM_PAQUETS") var NUMPAQUETS: Int? = null,
    @SerialName("ID_OPERADOR") var IDOPERADOR: Int? = null,
    @SerialName("NOM_OPERADOR") var NOMOPERADOR: String? = null,
    @SerialName("NOM_TIPUS_TRANSPORT") var NOMTIPUSTRANSPORT: String? = null,
    @SerialName("CODI_FAMILIA") var CODIFAMILIA: Int? = null,
    @SerialName("NOM_FAMILIA") var NOMFAMILIA: String? = null,
    @SerialName("ORDRE_FAMILIA") var ORDREFAMILIA: Int? = null,
    @SerialName("ORDRE_LINIA") var ORDRELINIA: Int? = null,
    @SerialName("CODI_TIPUS_CALENDARI") var CODITIPUSCALENDARI: String? = null,
    @SerialName("NOM_TIPUS_CALENDARI") var NOMTIPUSCALENDARI: String? = null,
    @SerialName("DATA") var DATA: String? = null,
    @SerialName("COLOR_LINIA") var COLORLINIA: String? = null,
    @SerialName("COLOR_AUX_LINIA") var COLORAUXLINIA: String? = null,
    @SerialName("COLOR_TEXT_LINIA") var COLORTEXTLINIA: String? = null,
    @SerialName("ID_ESTACIO_LINIA") var IDESTACIOLINIA: Int? = null,
    @SerialName("CODI_ESTACIO_LINIA") var CODIESTACIOLINIA: Int? = null,
    @SerialName("ID_GRUP_ESTACIO") var IDGRUPESTACIO: Int? = null,
    @SerialName("CODI_GRUP_ESTACIO") var CODIGRUPESTACIO: Int? = null,
    @SerialName("ID_ESTACIO") var IDESTACIO: Int? = null,
    @SerialName("CODI_ESTACIO") var CODIESTACIO: Int? = null,
    @SerialName("NOM_ESTACIO") var NOMESTACIO: String? = null,
    @SerialName("ORDRE_ESTACIO") var ORDREESTACIO: Int? = null,
    @SerialName("ID_TIPUS_SERVEI") var IDTIPUSSERVEI: Int? = null,
    @SerialName("DESC_SERVEI") var DESCSERVEI: String? = null,
    @SerialName("ORIGEN_SERVEI") var ORIGENSERVEI: String? = null,
    @SerialName("DESTI_SERVEI") var DESTISERVEI: String? = null,
    @SerialName("ID_TIPUS_ACCESSIBILITAT") var IDTIPUSACCESSIBILITAT: Int? = null,
    @SerialName("NOM_TIPUS_ACCESSIBILITAT") var NOMTIPUSACCESSIBILITAT: String? = null,
    @SerialName("ID_TIPUS_ESTAT") var IDTIPUSESTAT: Int? = null,
    @SerialName("NOM_TIPUS_ESTAT") var NOMTIPUSESTAT: String? = null,
    @SerialName("DATA_INAUGURACIO") var DATAINAUGURACIO: String? = null,
    @SerialName("PICTO") var PICTO: String? = null,
    @SerialName("PICTO_GRUP") var PICTOGRUP: String? = null,
    @SerialName("CODI_OPERADOR") var CODIOPERADOR: String?= null,
    @SerialName("ID_TIPUS_TRANSPORT") var IDTIPUSTRANSPORT: Int?= null,
    @SerialName("ID_FAMILIA") var IDFAMILIA: Int?= null,
    @SerialName("ID_RECORREGUT") var IDRECORREGUT: Int? = null,
    @SerialName("CODI_PARADA") var CODIPARADA: Int? = null,
    @SerialName("NOM_PARADA") var NOMPARADA: String? = null,
    @SerialName("DESC_PARADA") var DESCPARADA: String? = null,
    @SerialName("CODI_INTERC") var CODIINTERC: Int? = null,
    @SerialName("NOM_INTERC") var NOMINTERC: String? = null,
    @SerialName("ADRECA") var ADRECA: String? = null,
    @SerialName("NOM_POBLACIO") var NOMPOBLACIO: String? = null,
    @SerialName("NOM_DISTRICTE") var NOMDISTRICTE: String? = null,
    @SerialName("NOM_VIA") var NOMVIA: String? = null,
    @SerialName("ORDRE") var ORDRE: Int? = null,
    @SerialName("DISTANCIA_PAR_ANTERIOR") var DISTANCIAPARANTERIOR: Double? = null,
    @SerialName("ES_ORIGEN") var ESORIGEN: Int? = null,
    @SerialName("ES_DESTI") var ESDESTI: Int? = null,
    @SerialName("ES_MAXINODE") var ESMAXINODE: Int? = null,
    @SerialName("ORIGEN_SENTIT") var ORIGENSENTIT: String? = null,
    @SerialName("DESTI_SENTIT") var DESTISENTIT: String? = null,
    @SerialName("ID_TIPUS_SUB_SERVEI") var IDTIPUSSUBSERVEI: Int? = null,
    @SerialName("NOM_TIPUS_SUB_SERVEI") var NOMTIPUSSUBSERVEI: String? = null,
    @SerialName("ID_SENTIT") var IDSENTIT: Int? = null,
    @SerialName("SENTIT") var SENTIT: String? = null,
    @SerialName("DESC_SENTIT") var DESCSENTIT: String? = null,
    @SerialName("ID_TIPUS_RECORREGUT") var IDTIPUSRECORREGUT: Int? = null,
    @SerialName("ID_TIPUS_DIA") var IDTIPUSDIA: Int? = null,
    @SerialName("CALENDARI_EMULAT") var CALENDARIEMULAT: Int? = null,
    @SerialName("DATA_INICI") var DATAINICI: String? = null,
    @SerialName("DATA_FI") var DATAFI: String? = null,
    @SerialName("COLOR_REC") var COLORREC: String? = null,
    @SerialName("PUNTS_PARADA") var PUNTSPARADA: Int? = null,
    @SerialName("CODI_ACCES_ESTACIO_LINIA") var CODIACCESESTACIOLINIA: Int? = null,
    @SerialName("CODI_ACCES_ESTACIO") var CODIACCESESTACIO: Int? = null,
    @SerialName("ID_ACCES") var IDACCES: Int? = null,
    @SerialName("CODI_ACCES") var CODIACCES: Int? = null,
    @SerialName("NOM_ACCES") var NOMACCES: String? = null,
    @SerialName("NUM_ASCENSORS") var NUMASCENSORS: Int? = null
)